> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List brand rated outcomes

> Rated outcomes for the brand.

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

### Query parameters

<ParamField query="limit" type="integer">
  Max items (capped at 1000).
</ParamField>

<ParamField query="offset" type="integer" />

<ParamField query="status" type="string">
  Filter by status.
</ParamField>

### Response

`object`

<ResponseField name="items" type="object[]" required>
  <Expandable title="items">
    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="brand_id" type="string (uuid)" required />

    <ResponseField name="outcome_id" type="string (uuid)" required />

    <ResponseField name="billing_profile_id" type="string (uuid)" />

    <ResponseField name="contract_id" type="string (uuid)" />

    <ResponseField name="period_id" type="string (uuid)" />

    <ResponseField name="provider" type="string" required />

    <ResponseField name="outcome_type" type="string" required />

    <ResponseField name="occurred_at" type="string (date-time)" required />

    <ResponseField name="rating_kind" type="string" required />

    <ResponseField name="currency" type="string" required />

    <ResponseField name="quantity" type="integer" required />

    <ResponseField name="included_quantity" type="integer" required />

    <ResponseField name="committed_quantity" type="integer" required />

    <ResponseField name="overage_quantity" type="integer" required />

    <ResponseField name="unit_amount_minor" type="integer" required />

    <ResponseField name="committed_unit_amount_minor" type="integer" />

    <ResponseField name="subtotal_minor" type="integer" required />

    <ResponseField name="savings_minor" type="integer" required />

    <ResponseField name="commitment_applied" type="boolean" required />

    <ResponseField name="rated_at" type="string (date-time)" required />

    <ResponseField name="metadata" type="object" required />

    <ResponseField name="created_at" type="string (date-time)" required />

    <ResponseField name="updated_at" type="string (date-time)" required />
  </Expandable>
</ResponseField>

<ResponseField name="total" type="integer" required />

<ResponseField name="limit" type="integer" required />

<ResponseField name="offset" type="integer" required />

### Status codes

| Code  | Meaning                       |
| ----- | ----------------------------- |
| `200` | Rated outcomes for the brand. |
| `400` | Validation error              |
| `401` | Unauthorized                  |
| `404` | Not found                     |
| `429` | Rate limited                  |
| `500` | Internal error                |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/billing/rated-outcomes' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "items": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "billing_profile_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "provider": "string",
        "outcome_type": "string",
        "occurred_at": "2026-08-31T14:22:05Z",
        "rating_kind": "string",
        "currency": "USD",
        "quantity": 2,
        "included_quantity": 1,
        "committed_quantity": 1,
        "overage_quantity": 1,
        "unit_amount_minor": 4900,
        "committed_unit_amount_minor": 4900,
        "subtotal_minor": 4900,
        "savings_minor": 1,
        "commitment_applied": true,
        "rated_at": "2026-08-31T14:22:05Z",
        "metadata": {},
        "created_at": "2026-08-31T14:22:05Z",
        "updated_at": "2026-08-31T14:22:05Z"
      }
    ],
    "total": 102,
    "limit": 20,
    "offset": 1
  }
  ```
</ResponseExample>
